Search Gradle plugins

Version 3.1.0 (latest)

Created 07 September 2022.

Applies brightSPARK Labs standardisation to gradle projects

Using the plugins DSL:

plugins {
  id "com.brightsparklabs.gradle.baseline" version "3.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.brightsparklabs:gradle-baseline:3.1.0"
  }
}

apply plugin: "com.brightsparklabs.gradle.baseline"

Using the plugins DSL:

plugins {
  id("com.brightsparklabs.gradle.baseline") version "3.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.brightsparklabs:gradle-baseline:3.1.0")
  }
}

apply(plugin = "com.brightsparklabs.gradle.baseline")

Learn how to apply plugins to subprojects